summaryrefslogtreecommitdiff
path: root/redis.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-03-31 10:39:50 +0200
committerAndreas Maunz <andreas@maunz.de>2011-03-31 10:39:50 +0200
commitac0179b4059bd702a67a8c386769f0579493786b (patch)
tree587bd7a8b5badb623271af92ac750329bab73e40 /redis.sh
parent30b74a7113969952f4e67406052f91c03816d693 (diff)
redis.sh
Diffstat (limited to 'redis.sh')
-rwxr-xr-xredis.sh11
1 files changed, 2 insertions, 9 deletions
diff --git a/redis.sh b/redis.sh
index bc7096b..f70fb8b 100755
--- a/redis.sh
+++ b/redis.sh
@@ -44,7 +44,7 @@ if ! $REDIS_DONE; then
echo "Need root password: "
echo "vm.overcommit_memory = 1" | sudo tee -a /etc/sysctl.conf >>$LOG 2>&1
- cd /tmp
+ cd $REDIS_DEST
URI="http://redis.googlecode.com/files/redis-$REDIS_VER.tar.gz"
if ! $WGET -O - "$URI" 2>>$LOG | tar zxv >>$LOG 2>&1; then
printf "%25s%15s\n" "'Download'" "FAIL"
@@ -52,19 +52,12 @@ if ! $REDIS_DONE; then
printf "%25s%15s\n" "'Download'" "DONE"
cd redis-$REDIS_VER >>$LOG 2>&1
- if ! make "PREFIX=$REDIS_DEST" >>$LOG 2>&1; then
+ if ! make >>$LOG 2>&1; then
printf "%25s%15s\n" "'Make'" "FAIL"
exit 1
fi
printf "%25s%15s\n" "'Make'" "DONE"
- if ! make install >>$LOG 2>&1; then
- printf "%25s%15s\n" "'Install'" "FAIL"
- exit 1
- fi
- printf "%25s%15s\n" "'Install'" "DONE"
-
-
if ! grep "daemonize yes" $REDIS_SERVER_CONF >>$LOG 2>&1 ; then
echo "daemonize yes" > $REDIS_SERVER_CONF 2>$LOG
fi